WordPress.org

Support

Support » Plugins and Hacks » Google Analyticator » [Resolved] Demographics and Interest Reports Error

[Resolved] Demographics and Interest Reports Error

Viewing 8 replies - 1 through 8 (of 8 total)
  • Hi,

    If you using the universal analytics (analytics.js)
    – yes universal has no demographic and Interest Report a a moment, but this a Google issue not a Analyticator issue.
    https://developers.google.com/analytics/devguides/collection/upgrade/guide#overview

    if ga.js (standard)

    make sure to anable Enable Remarketing, Demographics and Interests reports and complete the checklist in https://support.google.com/analytics/answer/2611270

    Thanks

    Thank you for the reply and explanation. I understand and appreciate the clarification. However, my premise still stands. The point of a plugin is for non-programmers to be able to accomplish a task. In this case, the task is to use Google Analytics. I am searching for a plugin that allows me to use demographics without doing programming.

    Hi Anne,

    Thanks for following up. Just to clarify, you don’t need to do any programming, we insert the code for you, but we can’t modify your privacy policy or actually edit your Google Analytics account.

    Thanks

    It’s not clear how to enable the feature. The link you posted says to manually change code in the Google script on every page. The point of the plugin (ostensibly) is to put that code on the page. I don’t see a provision for it. If you update your plugin to be compatible with the current version of GA, please let me know.

    Looks like google does support this with analytics.js now, it just needs a line of javascript added:

    https://support.google.com/analytics/answer/2444872?hl=en&ref_topic=2611283

    To implement Display Advertising features for Universal Analytics, insert the bold line into your existing tracking code between the ‘create’ and ‘send’ commands, as seen in this example:

    <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
    ga('create', 'UA-XXXXXX-XX', 'example.com');
    ga('require', 'displayfeatures');
    ga('send', 'pageview');
    </script>

    Given the location it needs to go, this doesn’t look like something we can easily do with the current settings.

    Yeah, it’d be really nice to get the option to add the updated displayfeatures string through the Google Analyticator interface.

    I just switched from Google Analytics for WordPress to Google Analyticator, thinking it would support this feature properly. But it’s disappointing to see that it doesn’t.

    I would expect the next update to include this. But when will that be?

    I was able to get it to work.
    Turns out you have to make a quick tweak in the code.

    To get it working-

    1. Go to you plugins and click ‘edit’ for Analyticator.
    2. Here you’ll see the plugin code, do a ctrl+F for :
      ga('create', '<?php echo $uid; ?>', 'auto');
    3. Once you find that bit of code, you’ll simply have to replace ‘auto’ with your domain.
        So if your domain was- ‘example.com’, it would be –
        ga('create', '<?php echo $uid; ?>', 'www.example.com');
    4. Bam! In 24 hours your site will be enabled for Interest and Demographic reports on Google Analytics
Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Resolved] Demographics and Interest Reports Error’ is closed to new replies.
Skip to toolbar